#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kblackbox
Summary:        Find atoms in a grid by shooting electrons
Version: 23.04.1
Release:        %mkrel %{rel}
Epoch:          1
Group:          Games/Puzzles
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://kde.org/applications/games/org.kde.kblackbox
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kdegames-devel >= 1:%version

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)

Recommends:     kblackbox-handbook


%description
KBlackbox is a game of hide and seek played on a grid of boxes where the
computer has hidden several balls. The position of the hidden balls can be
deduced by shooting beams into the box.

%files -f %name.lang
%_kf5_bindir/kblackbox
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/kblackbox
%_kf5_iconsdir/hicolor/*/apps/kblackbox.png
%_kf5_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n kblackbox-handbook
Summary:        kblackbox handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kblackbox >= %{epoch}:%{version}-%{release}

%description -n kblackbox-handbook
This package provides the kblackbox handbook.

%files -n kblackbox-handbook
%_kf5_docdir/HTML/*/kblackbox

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958137
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946449
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941743
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922862
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911357
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905209
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886729
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880712
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873025
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853919
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849425
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763810
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 1:21.11.90-1.mga9
+ Revision: 1759906
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724020
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718603
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698504
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694040
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655565
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1643951
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633766
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627009
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614874
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604073
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596805
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584876
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568088
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559277
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540078
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513247
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466895
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457851
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446359
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1424944
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390399
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387603
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382086
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375530
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365518
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356454
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339466
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332697
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327351
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298441
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1228913
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201847
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194870
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186407
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1142991
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136730
- New version 17.07.90
- Add conflicts to ease upgrade

* Sun Jul 23 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1129617
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090027
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076762
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1071975
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067293
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061352
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050619
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047251
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040014
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012504
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004294
- New version 16.04.0

* Tue Mar 29 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 996257
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991144
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987412
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922582
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911916
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905374
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901110
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890585
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880403
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865921
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863742
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861734
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859226
- New version 15.07.80

* Thu Jul 23 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 856408
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800558
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787644
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 740155
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734506
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 680941
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667444
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 662955
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656633
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653819
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651924
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636693
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625460
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615533
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609353
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606794
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603293
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600641
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590426
- New version 4.12.2
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554953
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551211
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540149
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490746
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476836
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465185
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458867
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455257
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447949
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435308
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428420
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407231
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401850
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394402
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 355839
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339483
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334563
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326765
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319294
- imported package kblackbox

